-- Star Wars Empire at War: Secrets of a Fallen Empire
-- Lua Script: //Scripts/GameObject/ObjectScript_SentryTurret.lua
-- Author: Galyana
-- Updated: 6 February, 2026

-- Kills the orion dreadnaught's sentry turrets after X seconds

require("PGStateMachine")

function Definitions()
	ServiceRate = 1
	Define_State("State_Init", State_Init);
end

function State_Init(message)
	if message == OnEnter then
		Sleep(60)         
		Object.Take_Damage(10000) --Kill object after X sec
	end
end